> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all system metrics

> Show data about all system metrics.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-swagger.json get /system/metrics
openapi: 3.0.1
info:
  title: Fusion Admin APIs
  description: >-
    These APIs provide general administrative functions for your Fusion
    instance. Use these APIs to manage Fusion objects, App Studio objects,
    connections to Solr clusters, license files, job schedules, and more. You
    can also use them to create a history of service events.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Apps
    description: >-
      The Apps API manages your Fusion apps. To export or import an app, see the
      Objects API. You can also import an app using the Fusion UI.
  - name: Blobs
    description: >-
      The Blob Store REST API allows storing binary objects in Solr. You can use
      it to store entity extraction models, lookup lists or exclusion lists for
      use in index pipelines. This may include the entity extraction models and
      lookup lists included with Fusion in the `{fusion_path}/data/nlp`
      directory, or files that you have created on your own.
  - name: Collections
    description: >-
      The Collections API manages Fusion collections. It provides endpoints for
      creating, updating, and deleting collection, as well as endpoints for
      getting a collection's status and usage statistics.


      Fusion maintains internal system collections for logs, blobs, and metrics
      data which operate in conjunction with collections created by users. The
      Collections API is used to manage all Fusion collections.
  - name: Configurations
    description: >-
      The Configurations API allows setting global properties for Fusion.


      Some settings are not set by any configuration file but are reported as
      settings from the operating system. Those settings cannot be changed with
      this API.
  - name: CRUD events
    description: Check the status of the CRUD Events service.
  - name: Data models
    description: >-
      These APIs manage data models.


      Data models simplify the process of getting started with Fusion by
      providing pre-configured objects to reduce the effort spent on basic
      starting tasks. This helps keep documents consistent between datasources
      and intuitive to the object's type.
  - name: Features
    description: >-
      The Features API lets you observe the status of features across
      collections.  To manipulate features for a specific collection, use the
      Collections API.
  - name: Groups
    description: >-
      These endpoints show you how your Fusion objects are grouped.  For
      example, you can use this API to see the signals-related jobs and
      collections that are part of a primary collection's group.
  - name: History
    description: >-
      The History API provides information about the services that are running.
      The list of these services is provided by the Introspect API.
  - name: Introspect
    description: >-
      The Fusion Introspect endpoint lists basic information about endpoints and
      parameters for all Fusion endpoints.
  - name: Jobs
    description: >-
      The Jobs API allows you to define schedules for objects that perform work.
      You can schedule datasources, tasks, and Spark jobs.
  - name: License
    description: The License API provides license management features.
  - name: Links
    description: >-
      The Links API manages the links that represent the relationships between
      Fusion objects. You can see these links in the Object Explorer in the
      Fusion UI. You can also export and import links using the Objects API.


      Links are structured as a tuple of (`subject`, `object`, `linkType`). An
      example would be (`foo`, `bar`, `dependsOn`), which would read as "foo
      dependsOn bar".
  - name: Nodes
    description: >-
      The Nodes API lets you check the status of each node in the search
      cluster.
  - name: Objects
    description: >-
      The Objects API lets you import and export objects between Fusion
      instances. Fusion objects include all your searchable data, plus
      pipelines, aggregations, and other configurations on which your
      collections depend.
  - name: Registration
    description: Check the status of the Registration service.
  - name: Scheduler
    description: >-
      Use the Scheduler API to define a schedule for system activities and
      manage the jobs that result from the schedule.  All of the Fusion services
      are available for scheduling, as are any Solr activities and any other
      HTTP-based URI.




      >This API is deprecated in favor of the Jobs API.
  - name: Search cluster
    description: >-
      The Search Cluster API lets you connect Fusion with existing Solr
      instances in a Zookeeper-managed cluster.
  - name: Search logs
    description: The Search Logs API lets you manage a `searchLogs` collection.
  - name: Solr
    description: >-
      The Solr API is used to manage collection-level configurations.


      Since this API proxies requests to Solr, each available method corresponds
      to the method in Solr. So, a `GET` request to Solr would use the `GET`
      method of this endpoint; a `POST` would use the `POST` method, and so on.


      Depending on the request, the response may consist of records that match a
      query or output from a Schema API request.
  - name: Solr Configuration
    description: >-
      The Solr Configuration REST API lets you access and manage Solr
      configuration files stored in ZooKeeper.
  - name: Solr admin
    description: >-
      The Solr Admin API lets you send commands to Solr through Fusion's proxy
      service. This allows you to protect your Solr instances from outside
      connections, and apply roles and user permissions from Fusion when running
      Solr commands. Requests sent to this API are subject to access
      restrictions above the collection level.


      Note that because one `searchCluster` may host several collections, it is
      not recommended to use this with a collection-level command (such as a
      query, or document update).
  - name: Swagger
    description: These endpoints give you details about Fusion's REST API schemas.
  - name: System
    description: The System REST API allows you to monitor the system performance.
  - name: Tasks
    description: >-
      These endpoints let you manage tasks, a flexible job type that can be used
      to clean up old logs or run any REST call.
  - name: Update
    description: Consult Lucidworks before using these endpoints.
  - name: Webapps
    description: Deprecated.
  - name: ZooKeeper
    description: >-
      The ZooKeeper Import/Export API provides methods to upload or download
      information from Fusion's ZooKeeper service. This service provides an
      alternative to the ZooKeeper clients `zkCli.sh` and `zk-shell` which are
      part of the Apache Zookeeper distribution included as part of the Fusion
      distribution.
paths:
  /system/metrics:
    get:
      tags:
        - System
      summary: Get all system metrics
      description: Show data about all system metrics.
      operationId: getMetrics
      parameters:
        - name: pretty
          in: query
          description: True to format the data for easier reading.
          schema:
            type: boolean
        - name: rateUnit
          in: query
          description: The time unit ('seconds', 'minutes', and so on) to display rates.
          schema:
            type: string
        - name: durationUnit
          in: query
          description: >-
            The time unit ('seconds', 'minutes', and so on) to display
            durations.
          schema:
            type: string
        - name: showSamples
          in: query
          description: True to display the data values used in calculations.
          schema:
            type: boolean
        - name: pattern
          in: query
          description: >-
            A regular expression to find all configuration items that contain
            matching strings.
          schema:
            type: string
        - name: prefix
          in: query
          description: Match all configuration items that start with the specified string.
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricResponse'
              example:
                version: 3.0.0
                gauges: {}
                counters: {}
                histograms: {}
                meters:
                  com.lucidworks.apollo.pipeline.index.IndexPipelineCache.cacheHit:
                    count: 4775
                    m15_rate: 0.03604340402401043
                    m1_rate: 0.04985610410800882
                    m5_rate: 0.04753263154077047
                    mean_rate: 0.05028487069705915
                    units: events/second
                timers:
                  com.lucidworks.apollo.pipeline.index.IndexPipelineCache.deserialize:
                    count: 7
                    max: 0.078783
                    mean: 0.028265285714285715
                    min: 0.00009800000000000001
                    p50: 0.000194
                    p75: 0.06996100000000001
                    p95: 0.078783
                    p98: 0.078783
                    p99: 0.078783
                    p999: 0.078783
                    values:
                      - 0.00009800000000000001
                      - 0.000109
                      - 0.000162
                      - 0.000194
                      - 0.04855
                      - 0.06996100000000001
                      - 0.078783
                    stddev: 0.03620774742010466
                    m15_rate: 2.964393875e-314
                    m1_rate: 2.128434034679706e-46
                    m5_rate: 4.9195401948202935e-138
                    mean_rate: 0.00007371603924510614
                    duration_units: seconds
                    rate_units: calls/second
                  com.lucidworks.apollo.pipeline.index.IndexStageConfigCache.deserialize:
                    count: 7
                    max: 0.002377
                    mean: 0.00046642857142857147
                    min: 0.000087
                    p50: 0.000116
                    p75: 0.000346
                    p95: 0.002377
                    p98: 0.002377
                    p99: 0.002377
                    p999: 0.002377
                    values:
                      - 0.000087
                      - 0.00009300000000000001
                      - 0.000111
                      - 0.000116
                      - 0.000135
                      - 0.000346
                      - 0.002377
                    stddev: 0.000847267737523163
                    m15_rate: 2.964393875e-314
                    m1_rate: 2.1522151745137967e-46
                    m5_rate: 5.086288568158318e-138
                    mean_rate: 0.00007372680363461613
                    duration_units: seconds
                    rate_units: calls/second
                  com.lucidworks.apollo.pipeline.index.IndexStageConfigStore.deserialize:
                    count: 6
                    max: 0.0019760000000000003
                    mean: 0.0005606666666666667
                    min: 0.00010800000000000001
                    p50: 0.00014250000000000002
                    p75: 0.00114875
                    p95: 0.0019760000000000003
                    p98: 0.0019760000000000003
                    p99: 0.0019760000000000003
                    p999: 0.0019760000000000003
                    values:
                      - 0.00010800000000000001
                      - 0.00012200000000000001
                      - 0.000135
                      - 0.00015000000000000001
                      - 0.0008730000000000001
                      - 0.0019760000000000003
                    stddev: 0.000754704622131511
                    m15_rate: 2.964393875e-314
                    m1_rate: 1.0220227879692082e-48
                    m5_rate: 7.20591046931865e-140
                    mean_rate: 0.00006318494243486903
                    duration_units: seconds
                    rate_units: calls/second
                  com.lucidworks.apollo.pipeline.index.IndexStageConfigStore.getItem:
                    count: 6
                    max: 0.003128
                    mean: 0.002295
                    min: 0.0017770000000000002
                    p50: 0.0020715
                    p75: 0.002774
                    p95: 0.003128
                    p98: 0.003128
                    p99: 0.003128
                    p999: 0.003128
                    values:
                      - 0.0017770000000000002
                      - 0.002066
                      - 0.002066
                      - 0.0020770000000000003
                      - 0.0026560000000000004
                      - 0.003128
                    stddev: 0.0004989869737778733
                    m15_rate: 2.964393875e-314
                    m1_rate: 1.0220227879692082e-48
                    m5_rate: 7.20591046931865e-140
                    mean_rate: 0.00006318494244418448
                    duration_units: seconds
                    rate_units: calls/second
components:
  schemas:
    MetricResponse:
      type: object
      properties:
        metricRegistry:
          $ref: '#/components/schemas/MetricRegistry'
        metricsList:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Metric'
        pretty:
          type: boolean
        rateUnit:
          type: string
          enum:
            - NANOSECONDS
            - MICROSECONDS
            - MILLISECONDS
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
        durationUnit:
          type: string
          enum:
            - NANOSECONDS
            - MICROSECONDS
            - MILLISECONDS
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
        showSamples:
          type: boolean
    MetricRegistry:
      type: object
      properties:
        metrics:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Metric'
        names:
          uniqueItems: true
          type: array
          items:
            type: string
        gauges:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Gauge'
        counters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Counter'
        histograms:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Histogram'
        meters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Meter'
        timers:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Timer'
    Metric:
      type: object
    Gauge:
      type: object
      properties:
        value:
          type: object
          properties: {}
    Counter:
      type: object
      properties:
        count:
          type: integer
          format: int64
    Histogram:
      type: object
      properties:
        count:
          type: integer
          format: int64
        snapshot:
          $ref: '#/components/schemas/Snapshot'
    Meter:
      type: object
      properties:
        count:
          type: integer
          format: int64
        fifteenMinuteRate:
          type: number
          format: double
        fiveMinuteRate:
          type: number
          format: double
        meanRate:
          type: number
          format: double
        oneMinuteRate:
          type: number
          format: double
    Timer:
      type: object
      properties:
        count:
          type: integer
          format: int64
        fifteenMinuteRate:
          type: number
          format: double
        fiveMinuteRate:
          type: number
          format: double
        meanRate:
          type: number
          format: double
        oneMinuteRate:
          type: number
          format: double
        snapshot:
          $ref: '#/components/schemas/Snapshot'
    Snapshot:
      type: object
      properties:
        min:
          type: integer
          format: int64
        values:
          type: array
          items:
            type: integer
            format: int64
        max:
          type: integer
          format: int64
        mean:
          type: number
          format: double
        stdDev:
          type: number
          format: double
        median:
          type: number
          format: double
        get75thPercentile:
          type: number
          format: double
        get95thPercentile:
          type: number
          format: double
        get98thPercentile:
          type: number
          format: double
        get99thPercentile:
          type: number
          format: double
        get999thPercentile:
          type: number
          format: double

````